Page MenuHomePhabricator

Preserve line breaks in standard remarkup fields
ClosedPublic

Authored by sergey.vfx on Jul 22 2014, 3:02 PM.

Details

Summary

Initially the change is aimed to solve issue with line breaks being lost in projects descriptions. But it is done in a general place so line breaks behavior is more consistent all over the place.

Test Plan
  • Write a multiline description of the project, using single \n for line breakers.
  • View project details in project/view/X?

Diff Detail

Repository
rP Phabricator
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

sergey.vfx updated this revision to Diff 24071.Jul 22 2014, 3:02 PM
sergey.vfx retitled this revision from to Preserve line breaks in projects descriptions.
sergey.vfx updated this object.
sergey.vfx edited the test plan for this revision. (Show Details)
sergey.vfx added a reviewer: epriestley.
epriestley requested changes to this revision.Jul 24 2014, 9:04 PM
epriestley edited edge metadata.

I'll accept this if you make the change in PhabricatorStandardCustomFieldRemarkup instead. I think we just have an odd default here. I can look at the default/general case in more detail eventually, but for now let's just swap the default to preserve.

This revision now requires changes to proceed.Jul 24 2014, 9:04 PM
sergey.vfx updated this revision to Diff 24179.Jul 25 2014, 8:00 PM
sergey.vfx edited edge metadata.

Move changes to a standard remarkup custom field

sergey.vfx retitled this revision from Preserve line breaks in projects descriptions to Preserve line breaks in standard remarkup fields.Jul 25 2014, 8:01 PM
sergey.vfx updated this object.
sergey.vfx edited edge metadata.
epriestley accepted this revision.Jul 25 2014, 8:11 PM
epriestley edited edge metadata.

Thanks!

This revision is now accepted and ready to land.Jul 25 2014, 8:11 PM
epriestley closed this revision.Jul 25 2014, 8:12 PM
epriestley updated this revision to Diff 24180.

Closed by commit rP1888f6141147 (authored by @sergey.vfx, committed by @epriestley).